import { Component } from 'vue';
import { FrontComponent } from '../../../const/const';
import BasicDataSourceForm from './BasicDataSourceForm.vue';
// import ControlDataSourceForm from './ControlDataSourceForm.vue';

const dataSourceComponentMap = new Map<FrontComponent, Component>();

export const getDataSourceComponent = (frontId: FrontComponent) => {
  if (dataSourceComponentMap.has(frontId)) return dataSourceComponentMap.get(frontId)!;
  return BasicDataSourceForm;
};
